* {
  box-sizing: border-box;
  /* border: 3px solid black; */
  /* overflow: hidden; */
  scroll-behavior: smooth;
}

:root {
  --font-color-white: white;
  --font-color-black: black;
  --font-size-h1: 70px;
  --font-size-h2: 40px;
  --font-size-text: max(20px, 1.2vw);
}

html {
  /* width: 100%; */
  font-family: Oswald;

  background-color: #002820;
}

body {
  background-color: #014638;
  max-width: 1024px;
  width: 100%;
  justify-self: center;
}

.pagesWrapper {
  /* margin: 0 auto; */
  display: flex;
  flex-direction: column;
  /* max-width: 1024px;
  min-width: 0; */
  width: 100%;
}

.page {
  height: 100vh;
  width: 100%;
  padding: 1% 8% 2% 8%;
}

.text20B {
  font-size: var(--font-size-text);
  color: var(--font-color-black);
}

.text20W {
  font-size: var(--font-size-text);
  color: var(--font-color-white);
}

.text40B {
  font-size: var(--font-size-h2);
  color: var(--font-color-black);
}
.text40W {
  font-size: var(--font-size-h2);
  color: var(--font-color-white);
}
.text70W {
  font-size: var(--font-size-h1);
  color: var(--font-color-white);
}

#mainPage {
  background-image: url(../Assets/Media/img4.png);
  /* background-size: 590px; */
  background-size: 55%;

  background-repeat: no-repeat;
  background-position: right bottom;

  /* padding: 1% 0 0 8%; */
  /* position: relative; */
}

.header {
  display: flex;
  width: 100%;
  height: 30%;
  justify-content: space-between;
  align-items: center;
}

nav {
  /* display: inline-block; */
  /* position: fixed;
  right: 16%; */
  /* top: 10%; */
  /* margin: 5% auto; */
  /* height: 76px;
  width: 611px; */
  height: 40%;
  width: 60%;

  background-color: #eee25e;
  border-radius: 1rem;
  display: inline-flex;
  align-items: center;
  justify-content: space-around;
}

nav a {
  text-decoration: none;
}

#mainPage p {
  width: 5em;
  margin: 0;
}

.yellow {
  color: #eee25e;
}
#servicesPage {
  position: relative;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: stretch;
  /* padding: 0; */
  /*align-items: center;
  min-width: 0;
  min-height: 0; */
}

.pageName {
  margin-bottom: 5%;
}

.swiper-container {
  width: 100%;
  height: 80%;
  /* max-height: 80vh; */
  /* height: 680px; */
  justify-self: center;
  align-self: center;
  /* justify-self: center; */
  /* position: relative;
  top: 70%; */
  /* margin: 50px 0; */
  /* padding: auto 0; */
  overflow: hidden;
}

.swiper-wrapper {
  width: 100%;
  height: 100%;
  /* max-height: 80vh; */
}
.swiper-button-next,
.swiper-button-prev {
  color: white;
  /* font-size: 40px; */
}

.swiper-slide {
  /* margin: 0; */
  /* width: 20%;
  max-height: 80vh; */

  /* justify-self: center; */
  filter: blur(4px);
  text-align: center;
  /* justify-self: center; */
  /* width: 100%; */
  display: flex;
  /* flex-wrap: wrap; */
  flex-direction: column;
  align-items: center;
}

.swiper-slide-transform {
  /* width: 70%;
  max-height: 80vh; */
  height: 100%;
  /* max-height: 90%; */
  /* max-width: 50%; */
}

.swiper-slide-active {
  filter: none;
}

.service {
  justify-self: center;
  /* /* height: 524px; */
  width: 30%;
  display: flex;
  /* flex-wrap: wrap; */
  flex-direction: column;
  align-items: center;
}

.serviceImage {
  width: 100%;
  max-height: 50%;
  border-radius: 1rem 1rem 0 0;
}

.serviceNameArea {
  width: 100%;
  height: 22%;
  background-color: #fdc500;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 2% 0;
}

.serviceDescriptionArea {
  width: 100%;
  height: 28%;
  background-color: #eee25e;
  border-radius: 0 0 1rem 1rem;
  text-align: justify;
  padding: 5%;
}

#aboutPage {
  background-image: url(../Assets/Media/img4_horizont.png);
  background-size: 25vw;
  background-repeat: no-repeat;
  background-position: right 25%;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

#aboutPage p {
  width: 60%;
  flex: 60%;
  line-height: 140%;
}

.advantages {
  display: flex;
  flex: 20%;
  width: 100%;
  justify-content: space-between;
}
.advantages article {
  text-align: center;
  min-width: 15%;
  max-width: min-content;
}

.contactsWrapper {
  display: flex;
  height: 70%;
  justify-content: space-between;
}

.contacts {
  display: inline-flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  width: 30%;
  height: 100%;
}

.contactName,
.contactValue {
  text-align: center;
}

.map {
  display: inline-block;
  height: 100%;
  width: 60%;
}

@media (max-width: 1000px) {
  .PConly {
    display: none;
  }

  .header {
    height: 20%;
  }

  nav {
    width: 30%;
  }

  #mainPage {
    background-image: url(../Assets/Media/img4_mobile.png);
    /* background-size: 590px; */
    background-size: 55%;

    background-repeat: no-repeat;
    background-position: bottom right;

    /* padding: 1% 0 0 8%; */
    /* position: relative; */
  }

  .pageName {
    margin: 0 auto 10%;
  }

  #aboutPage {
    background-image: none;
    justify-content: stretch;
  }

  #aboutPage p {
    /* font-size: var(--font-size-text); */
    width: 100%;
    flex: 30%;
    /* height: fit-content; */
    line-height: 100%;
    font-size: 30px;
  }

  .advantages {
    flex-direction: column;
    align-items: center;
    flex-grow: 3;
    font-size: 30px;
    flex: 60%;
  }

  #contactsPage {
    height: fit-content;
  }
  #contactsPage .pageName {
    justify-self: center;
  }
  .contactsWrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100vh;
    /* justify-content: space-between; */
  }

  .contacts {
    display: grid;
    grid-template-columns: 1fr 3fr;
    align-items: center;
    justify-content: space-around;
    width: 100%;

    /* height: 100%; */
  }

  .contactName,
  .contactValue {
    text-align: center;
    font-size: 24px;
  }

  .map {
    display: inline-block;
    height: 80%;
    width: 100%;
  }
}
